
  body{
      margin: 0;
      padding: 0;
  }

  h1{
      margin: 0;
      padding: 0;
  }
/************************************** behavioural data page *********************************************************/
.vertVahevahele, .ylesandekirjeldus{
     margin-bottom: 1.5cm;
  }

/****************TABELITE STIILID********************/

/*lihtne tabel proovimiseks ja katsetamiseks*/
/*table {
    border-collapse: collapse;
    width: 100%;*/

.uuringuValimine, .taustainfoValimine {
    display: flex;
    flex-wrap: wrap;
    font-size: 20px;
    text-align: left;
    justify-content: center;
    justify-items: center;
    //margin-bottom: 0.5rem;
    border-collapse: collapse;
   // border: 4px solid rgb(82,82,84);
    //padding: 0;
   // margin: 40;
    }

.bh-invisible-table{
  //border: 4px solid rgb(0,255,0); /*make it green for developing purposes*/
  border: none;
  //border: 4px solid rgb(255,255,255);
  //background-color:#f1f1f1;
  background-color:#e5e5e5;
  //table-layout: fixed;
}

.bh-invisible-td-cell{
  //border: 4px solid rgb(255,0,0); /*make it red for developing purposes*/
  border: none;
  display: flex;
  flex-wrap: wrap;
  align-items: flex-start;
  //background-color:#f1f1f1;
  background-color:#e5e5e5;
  }
/*standard tabel*/
table {
    height: auto;
  //  border-collapse: collapse;
  //  border: 4px solid rgb(82,82,84);
 //  border: none;
    border-spacing: 0.0rem;
  /*border-spacing: 0.0rem;*/
    vertical-align: top;
   //display:block;
   // background-color: #f1f1f1;
    float: left;
    border: none;
   /* border-style: outset;*/
    /*border-top-left-radius: 15px;
    border-top-right-radius: 15px;*/
    }


.nutitekst{
color: lightgrey;
}

/*.fixed-cell{
  height:30vh;
 }*/

table[id="ylesandekirjeldus"] {
    //height: auto;
   /* border: 4px solid rgb(222, 202, 202);*/
   //height:30vh
 //  border: 4px solid rgb(222, 202, 202);
    vertical-align: top;
    display:block;
    /*background-color: #f1f1f1;*/
    background-color: rgb(255, 255, 255);
   // border-top-left-radius: 15px;
   // border-top-right-radius: 15px;
    table-layout: fixed;
    border-radius: 4px;
    }
.text-window {
   // height: 30vh;
    min-height: 200px;
    max-height: 400px;

    overflow-y: auto;

    padding: 5px;
    //margin: 2vh;
    box-sizing: border-box;


vertical-align: top;
   // border: 1px solid #ccc;
   // border-radius: 16px;
    border: none;
    height: clamp(150px, 20vh, 500px);
    weight: 100%;
   // overflow-y: auto;
}


/*.valis_tabel, td[id="valis_tabel"],th[id="valis_tabel"]{*/
.valis_tabel, .valimine_d, .valimine_r{
  //  display: flex;
  display: block;
  //  flex-wrap: wrap;
    //border: none;
  //  border: 1px solid rgb(82,82,84);
    //     border-collapse: collapse;
     //        border: 4px solid rgb(82,82,84);
   // vertical-align: top;
  //  border-collapse: collapse;
 //   background-color: white;
     padding: 0;
    margin: 4px;
  //  width: auto;
   // display:block;
    }

.mitte_aktiivne_table {
/*    width: 1000px;*/
    height: 460px;
  //  height: auto;
    border-collapse: collapse;
    //border: 4px solid rgb(255,255,255);
    border-spacing: 1.5rem;
  /*border-spacing: 0.0rem;*/
    vertical-align: top;
    display: inline-block
    //display:block;
   /*background-color: ;*/
    //background-color: rgb(140,140,190)
    //border-style: outset;
    //opacity: 0.7;

    border-top-left-radius: 15px;
    border-top-right-radius: 15px;
      //  padding: 30;
      //  margin: 30;
    }
.mitte_aktiivne_table {
margin: 3px;
  display: inline-block;
  transition: transform 0.25s ease, box-shadow 0.25s ease;
 // opacity: 0.7;
//  filter:saturate(0.5)

}

.mitte_aktiivne_table:hover {
  transform: translateY(-9px);
  box-shadow: 0 12px 24px rgba(0,0,0,0.2);
}

.key_table_cell, th {
  //padding: 13px 45px;
 // padding: auto;
  padding: 6px 20px;
  border: 1px solid #ccc;
     // border: 1px solid black;
      border-collapse: collapse;
  transition: all 1s ease;
}


/*siia tulevad koik need lahtrid, millele voiks klikkida saada*/
td[id="mummud"], td[id="isiksus"], td[id="osalejad"], td[id="n_tagasi"], td[id="ssrt_parameetrid"], td[id="laborimootmised"], td[id="kurnatus"], td[id="nutikasutus"], td[id="eek_skoorid"], td[id="reaction"] , td[id="ssrt_parameetrid"]{
    cursor:pointer;
}



/*.spacer-row td {
    background-color: #eee;
}*/
/*td[id="other_exp-column0"]{
    background-color: #800020;
}*/

 /* tulpade paised tulevad teise varviga*/
 .t1 tr:first-child {
    /*background-color: rgba(200,200,200);*/
    background-color: rgba(122,122,124);
     border: 0px rgba(82,82,84);
     border-collapse: collapse;
     border-spacing: 0.0rem;
     font-size: 1.45em;
     padding : 0px;
     color: black;
     /*display: block;*/
     /*top: 50px;*/
     font-weight: bold;
     text-align: center;
     border-top-left-radius: 5px;
     border-top-right-radius: 15px;
          -webkit-user-select: none; /* Safari */
          -moz-user-select: none;    /* Firefox */
          -ms-user-select: none;     /* Internet Explorer/Edge */
          user-select: none;         /* Standard */
     }
button.link { background:none; border:none; cursor:pointer; font-size: 18px;
          -webkit-user-select: none; /* Safari */
          -moz-user-select: none;    /* Firefox */
          -ms-user-select: none;     /* Internet Explorer/Edge */
          user-select: none;         /* Standard */}

.hidden-column2 {
      display: none;
      width: 0;
      min-width: 0;
      max-width: 0;
      padding: 0;
      overflow: hidden;
      border: none;
      opacity: 0;
     /* transition: all 0.5s ease-out;  */
      }

.child-checkbox, .cb{
      width: 100px
      display: fixed;
      }

.column2{
      /*font-weight: bold;*/
      width: 100px
      }
.hoiatus {
    /* Apply CSS Flexbox */
    display: flex;
    font-size: 20px;
  /*  background: "white"*/
   /* background-color: rgb(255, 255, 255);*/
    /* Center items horizontally */
    justify-content: center;
    }
.center {
    /* Apply CSS Flexbox */
    display: flex;
  /*  background: "white"*/
   /* background-color: rgb(255, 255, 255);*/
    /* Center items horizontally */
    justify-content: center;
    }
/*.is-edge .autocom-box {
   // scrollbar-width: thin;
}*/

/*body {
  font-size: 1rem; */ /* instead of 12px or 10px */
/*}*/

.wrapper{
  //max-width: 55vh;
  //margin: 0px 0px 5px 0px;
  height: 55px;
  width: 100%;
  display: flex;
  float: left;
  text-align: center;
  vertical-align: middle;

}

.wrapper .search-input{
  background: #fff;
  width: 100%;
  //width: 100vh;
  border-radius: 5px;
  z-index: 10;
  box-shadow: 0px 1px 5px 3px rgba(0,0,0,0.12);
}
.search-input input{
  height: 55px;
  width: 100%;
  outline: none;
  border: none;
  border-radius: 5px;
  padding: 0 60px 0 20px;
  font-size: 18px;
  box-shadow: 0px 1px 5px rgba(0,0,0,0.1);

}
.search-input.active input{
  border-radius: 5px 5px 0 0;

}
.search-input .autocom-box{
  padding: 0;
  opacity: 0;
  pointer-events: none;
  max-height: 280px;
  overflow-y: auto;


}
.search-input.active .autocom-box{
  padding: 10px 8px;
  opacity: 1;
  pointer-events: auto;

}

.autocom-box {
      position: absolute; /* Removes from document flow */
      top: 100%; /* Position below the search input */
      left: 0;
      width: 100%;
      background: white;
      border: 1px solid #ccc;
      z-index: 10; /* Makes sure it appears on top */
      box-shadow: 0 2px 5px rgba(0,0,0,0.2);

}
.autocom-box li{
  list-style: none;
  padding: 8px 12px;
  display: none;
  width: 100%;
  cursor: default;
  border-radius: 3px;

}
.search-input.active .autocom-box li{
  display: block;
}
.autocom-box li:hover{
  background: #efefef;
}
.search-input{
  position: relative;
  right: 0px;
  top: 0px;
  height: 50px;
  width: 95%;
  text-align: left;
  line-height: 50px;
  font-size: 20px;
  color: black;
  cursor: pointer;
  display: inline-block; /* Ensures they sit next to each other */
  float: left;
}


/*demagraafia valikukastide stiil*/
.form-control{
  background: #fff;
 // width: 100%;
  border-radius: 5px;
  box-shadow: 0px 1px 5px 3px rgba(0,0,0,0.12);
 // max-width: 450px;
  margin: 5px auto;
 // height: 50px;
  height: 40px;
  outline: none;
  border: none;
  padding: 0 60px 0 20px;
  font-size: 18px;
  margin: 0;
  //padding: 15;
  display: inline-block; /* Ensures they sit next to each other */
  vertical-align: bottom;
}

/*linnukeste lehel uuringukastide lehel uuringu valimise kasti stiil*/
.uuringu_valimine_f-c{
  background: #fff;
  border-radius: 5px;
  box-shadow: 0px 1px 5px 3px rgba(0,0,0,0.12);
  max-width: 450px;
  height: 75px;
  outline: none;
  border: none;
  padding: 10px 0px 0 20px;
  font-size: 18px;
  margin: 10px 0 10px;
  display: inline-block; /* Ensures they sit next to each other */
  vertical-align: bottom;
}


.uuringu_valimine_f-c::-webkit-scrollbar {
    width: 12px;
}

.uuringu_valimine_f-c::-webkit-scrollbar-track {
    background: #f1f1f1;
}

.uuringu_valimine_f-c::-webkit-scrollbar-thumb {
    background: #800020;
    border-radius: 6px;
}

.uuringu_valimine_f-c {
    scrollbar-color: #800020 #f1f1f1;
    scrollbar-width: thin;
}
/*select option:focus {
  background-color: #EAB126
}*/
.nupp{
    background: #fff;
      border-radius: 5px;
      box-shadow: 0px 1px 5px 3px rgba(0,0,0,0.12);
      max-width: 350px;
      //margin: 5px auto;
      height: 50px;
      outline: none;
      border: none;
      //padding: 0 20px 0 20px;
      font-size: 18px;
      //margin: 0;
      display: inline-block;
      background-color: #800020;
      color: white;
      cursor: pointer;
          width: auto;
          min-width: 120px;
          min-height: 2.5rem;
          padding: 0.5rem 1rem;

}

.hele_nupp{
    background: #fff;
      border-radius: 5px;
      box-shadow: 0px 1px 5px 3px rgba(0,0,0,0.12);
      max-width: 350px;
      //margin: 5px 5px 5px 5px;
      height: 50px;
      outline: none;
      border: none;
     // padding: 0 12px 0 12px;
      font-size: 18px;
      display: inline-block;
      background-color: rgb(222, 202, 202);
      color: black;
      cursor: pointer;
      position: relative;
                width: 100%;
                min-width: 120px;
                min-height: 2.5rem;
                padding: 0.5rem 1rem;
}

.label-class {
    display: flex;
    align-items: center;
    font-size: 1.3em;
}
  .myDiv{
     // width: 750px;
          display: flex;
          flex-wrap: wrap;
 }
.otsingu_td{
 padding: 0px 10px 0px 0px;
 margin: 0px 0 0px;
 border: none;
 //width: 100%
 max-width: 100%
 //border: 4px solid rgb(82,82,84);
}
.otsingu_tabel{
   //      display: flex;
    //      flex-wrap: wrap;
 padding: 0px 10px 0px 0px;
 margin: 0px 0 0px;
 width: 100%
 max-width: 100%
 border: none;
 //border: 4px solid rgb(255,255,255);
}


/*votab tabelite filtreerimist voimaldavatel linkidel (mis on tegelikult nupud) serva ara*/
.varvikoodi_td{
 border: none;
}




.tooltip-wrapper {
    position: relative;
    display: inline-block;
}

.tooltip-text {
    visibility: hidden;
    opacity: 0;

    position: absolute;
    bottom: 125%;
    left: 50%;
    transform: translateX(-50%);

    background-color: black;
    color: white;
    padding: 6px 10px;
    border-radius: 5px;
    font-size: 13px;

   // white-space: nowrap;
     white-space: normal;
    transition: opacity 0.2s;

    z-index: 1000;
}
.tooltip-wrapper:hover .tooltip-text {
    visibility: visible;
    opacity: 1;
}

.spacer-row{
    background-color: #800020;
}

/*.hidden-column2.expanded spacer-row{
    background-color: #800020;
}*/

.table-wrapper {
    width: 100%;
    overflow-x: auto;
      //  display: grid;
      //  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
        gap: 0.6rem;
        // display: flex;
          //  flex-wrap: wrap;
}

.laiaks{
width: 100%;

}



